Subject: bug#24889: 25.1; tramp-dissect-file-name signals a user-error for some invalid files

From: Alex <[email-masked]>
Date: Tue, 08 Nov 2016 14:18:33 -0600

Michael Albinus <[email-masked]> writes:

> Alex <[email-masked]> writes:
>
> Hi Alex,
>
>> This user-error affects commands such as file-remote-p and ffap. I
>> believe that these should just return nil or no valid file instead of
>> signalling an error.
>>
>> Backtrace of (file-remote-p "/uref{http://test.com}":
>
> Thanks for the report. I could reproduce it also with Emacs 24.5.
>
> I've committed the following patch to the master branch, could you pls
> check whether this fixes the problem for you?

With the latest master it seems to have fixed the problem, thanks.